Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.zip
Class FileBufferedZipEntry

    java.lang.Object
      net.sf.jasperreports.engine.export.zip.FileBufferedZipEntry

All Implemented Interfaces:
  ExportZipEntry

    public class FileBufferedZipEntry

extends java.lang.Object
implements ExportZipEntry

Version:
  $Id: FileBufferedZipEntry.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`FileBufferedZipEntry(java.lang.String name)`
`FileBufferedZipEntry(java.lang.String name, byte[] bytes)`

Method Summary
`void` | `dispose()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`
`java.io.Writer` | `getWriter()`
`void` | `writeData(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBufferedZipEntry

    public FileBufferedZipEntry(java.lang.String name)

### FileBufferedZipEntry

    public FileBufferedZipEntry(java.lang.String name,
                                byte[] bytes)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ExportZipEntry`

### getWriter

    public java.io.Writer getWriter()

  Specified by:
    `getWriter` in interface `ExportZipEntry`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `ExportZipEntry`

### writeData

    public void writeData(java.io.OutputStream os)
                   throws java.io.IOException

  Specified by:
    `writeData` in interface `ExportZipEntry`
  Throws:
    `java.io.IOException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ExportZipEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com